// Persistence of Vision Ray Tracer Scene Description File
// File: textur-f.inc
// Vers: 3.0
// Desc: The custom texture file
// Date: 31-08-97
// Auth: Samuel Ward

#declare My_Gray = color red 0.752941 green 0.752941 blue 0.752941 transmit 0.9

//****Stone Textures
#declare StoneBase1 =
color_map{
  [0.0, 0.2 color White color Gray50]
  [0.2, 1.0 color rgbf <0,0,0,1> color rgbf <0,0,0,1>]
}
#declare StoneBase2 =
color_map{
  [0.00, 0.02 color Black color Black]
  [0.02, 0.05 color White color White]
  [0.10, 0.35 color rgb <0.7,0.15,0.15> color rgb <1,0.5,0.5>]
  [0.35, 1.00 color rgbf <0,0,0,1> color rgbf <0,0,0,1>]
}
#declare StoneBase3 =
pigment{
  bozo
  turbulence 2
  octaves 5
  lambda 4
  color_map{
    [0.0, 0.1 color White color White]
    [0.1, 0.4 color White color rgbf <1,1,1,1>]
    [0.4, 1.0 color rgbf <1,1,1,1> color rgbf <1,1,1,1>]
  }
  scale <4,1,1>
  rotate <0,0,30>
}
#declare StoneBase =
texture{
  pigment{
    agate
    turbulence 0.5
    color_map{
      [0.0 color rgb <1,0.9,0.9>]
      [0.4 color rgb <1,0.9,0.9>]
      [1.0 color rgb <0.9,0.7,0.7>]
    }
  }
  finish{ crand 0.05 }
}

#declare My_Stone1 =
texture{ StoneBase }
texture{
  pigment{ agate color_map{ StoneBase2 }
    turbulence 0.5
    scale <1,3,5>
    rotate <30,20,10>
  }
}
texture{ pigment{ bozo color_map{ StoneBase1 } turbulence 0.5 } }
texture{
  pigment{ StoneBase3 }
  finish{ phong 1.0 phong_size 100 }
}
